<?php
require 'db.php';
require 'vendor/autoload.php';
use Endroid\QrCode\QrCode;
use Endroid\QrCode\Writer\PngWriter;

$user_id = $_POST['user_id'];
$name_x = $_POST['name_x'];
$name_y = $_POST['name_y'];
$qr_x = $_POST['qr_x'];
$qr_y = $_POST['qr_y'];

$templatePath = "assets/template.jpg";
$outputPath = "output/{$user_id}.jpg";

// استخراج بيانات المستخدم
$stmt = $conn->prepare("SELECT name, email FROM users WHERE id = :user_id");
$stmt->bindParam(':user_id', $user_id);
$stmt->execute();
$user = $stmt->fetch(PDO::FETCH_ASSOC);

$name = $user['name'];
$email = $user['email'];

// إنشاء QR Code
$qrCodePath = "qrcodes/{$user_id}.png";
$writer = new PngWriter();
$qrCode = QrCode::create($email);
$result = $writer->write($qrCode);
$result->saveToFile($qrCodePath);

// تعديل الصورة
$baseImage = imagecreatefromjpeg($templatePath);
$textColor = imagecolorallocate($baseImage, 0, 0, 0);

// إضافة الاسم
imagettftext($baseImage, 30, 0, $name_x, $name_y, $textColor, "assets/arial.ttf", $name);

// إضافة QR Code
$qrCodeImage = imagecreatefrompng($qrCodePath);
imagecopy($baseImage, $qrCodeImage, $qr_x, $qr_y, 0, 0, imagesx($qrCodeImage), imagesy($qrCodeImage));

// حفظ الصورة النهائية
imagejpeg($baseImage, $outputPath);
imagedestroy($baseImage);
imagedestroy($qrCodeImage);

// تخزين مسار الصورة
$image_url = "http://yourdomain.com/$outputPath";
$stmt = $conn->prepare("INSERT INTO images (user_id, image_url) VALUES (:user_id, :image_url)");
$stmt->bindParam(':user_id', $user_id);
$stmt->bindParam(':image_url', $image_url);
$stmt->execute();

echo "تم إنشاء الصورة بنجاح.";
?>