<?php
require 'db.php';
?>
<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>نظام إنشاء التذاكر</title>
    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="css/styles.css">
</head>
<body>
    <div class="container mt-5">
        <h1 class="text-center">نظام إنشاء التذاكر</h1>

        <!-- رفع الملف -->
        <div class="card mb-4">
            <div class="card-body">
                <h5 class="card-title">رفع ملف Excel</h5>
                <form id="uploadForm">
                    <div class="mb-3">
                        <label for="excelFile" class="form-label">اختر ملف Excel:</label>
                        <input type="file" class="form-control" id="excelFile" accept=".xlsx, .xls">
                    </div>
                    <button type="button" class="btn btn-primary" onclick="uploadFile()">رفع الملف</button>
                </form>
            </div>
        </div>

        <!-- إدخال البيانات يدويًا -->
        <div class="card mb-4">
            <div class="card-body">
                <h5 class="card-title">إضافة بيانات يدويًا</h5>
                <div class="row">
                    <div class="col-md-6">
                        <div class="mb-3">
                            <label for="nameInput" class="form-label">الاسم</label>
                            <input type="text" class="form-control" id="nameInput" placeholder="أدخل الاسم">
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="mb-3">
                            <label for="emailInput" class="form-label">البريد الإلكتروني</label>
                            <input type="email" class="form-control" id="emailInput" placeholder="أدخل البريد الإلكتروني">
                        </div>
                    </div>
                </div>
                <button type="button" class="btn btn-success" onclick="addManualData()">إضافة</button>
            </div>
        </div>

        <!-- تحميل قالب الصورة -->
        <div class="card mb-4">
            <div class="card-body">
                <h5 class="card-title">تحميل قالب الصورة</h5>
                <div class="mb-3">
                    <label for="templateImage" class="form-label">اختر صورة القالب:</label>
                    <input type="file" class="form-control" id="templateImage" accept="image/*">
                </div>
                <button type="button" class="btn btn-info" onclick="loadTemplate()">تحميل الصورة</button>
            </div>
        </div>

        <!-- عرض الصورة وتحديد المواقع -->
        <div class="card mb-4">
            <div class="card-body">
                <h5 class="card-title">تحديد مواقع النصوص والـ QR Code</h5>
                <div class="image-container" id="imageContainer">
                    <img id="templateImg" src="" alt="قالب الصورة" style="width: 100%; height: 100%;">
                    <div class="draggable" id="namePlaceholder">الاسم</div>
                    <div class="draggable" id="qrPlaceholder">QR Code</div>
                </div>
                <button type="button" class="btn btn-warning mt-3" onclick="savePositions()">حفظ المواقع</button>
            </div>
        </div>
    </div>

    <!-- Scripts -->
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://code.jquery.com/ui/1.13.0/jquery-ui.min.js"></script>
    <script src="js/script.js"></script>
</body>
</html>