let templateLoaded = false;

// تحميل قالب الصورة
function loadTemplate() {
    const file = document.getElementById('templateImage').files[0];
    if (file) {
        const reader = new FileReader();
        reader.onload = function(e) {
            document.getElementById('templateImg').src = e.target.result;
            templateLoaded = true;
        };
        reader.readAsDataURL(file);
    } else {
        alert("يرجى اختيار صورة.");
    }
}

// جعل العناصر قابلة للسحب
$(function() {
    $(".draggable").draggable({
        containment: "#imageContainer"
    });
});

// حفظ مواقع العناصر
function savePositions() {
    if (!templateLoaded) {
        alert("يرجى تحميل قالب الصورة أولاً.");
        return;
    }

    const namePosition = $("#namePlaceholder").position();
    const qrPosition = $("#qrPlaceholder").position();

    console.log("موقع الاسم:", namePosition);
    console.log("موقع QR Code:", qrPosition);

    alert("تم حفظ المواقع بنجاح!");
}

// إضافة بيانات يدويًا
function addManualData() {
    const name = document.getElementById('nameInput').value;
    const email = document.getElementById('emailInput').value;

    if (name && email) {
        $.ajax({
            url: 'upload.php',
            type: 'POST',
            data: { name: name, email: email },
            success: function(response) {
                alert("تمت إضافة المستخدم بنجاح.");
            },
            error: function() {
                alert("حدث خطأ أثناء إضافة المستخدم.");
            }
        });
    } else {
        alert("يرجى إدخال الاسم والبريد الإلكتروني.");
    }
}

// رفع الملف
function uploadFile() {
    const file = document.getElementById('excelFile').files[0];
    if (file) {
        const formData = new FormData();
        formData.append('file', file);

        $.ajax({
            url: 'upload.php',
            type: 'POST',
            data: formData,
            processData: false,
            contentType: false,
            success: function(response) {
                alert("تم رفع الملف بنجاح.");
            },
            error: function() {
                alert("حدث خطأ أثناء رفع الملف.");
            }
        });
    } else {
        alert("يرجى اختيار ملف Excel.");
    }
}